Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 167298 - CAN-2005-1849 Zlib Compression Library Decompression Denial of Service
Summary: CAN-2005-1849 Zlib Compression Library Decompression Denial of Service
Keywords:
Status: CLOSED DUPLICATE of bug 162680
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: zlib
Version: rhl7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://marc.theaimsgroup.com/?l=openb...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-01 13:22 UTC by John Dalbec
Modified: 2007-04-18 17:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-02 14:11:52 UTC


Attachments (Terms of Use)

Description John Dalbec 2005-09-01 13:22:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20050729 Netscape/8.0.3.3

Description of problem:
05.30.28 CVE: CAN-2005-1849
Platform: Cross Platform
Title: Zlib Compression Library Decompression Denial of Service
Description: The Zlib compression library is an open source library
designed for fast compression and decompression of data. It is
susceptible to a denial of service vulnerability. This issue is due to
a failure of the library to properly handle unexpected input to its
decompression routines. Various operating systems using the Zlib
library are reported to be affected.
Ref: http://marc.theaimsgroup.com/?l=openbsd-security-announce&m=112208705631203&w=2 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 David Eisenstein 2005-09-02 13:38:37 UTC
John - Can you go ahead and close this bug and mark it a duplicate of bug 162680?
The CAN-2005-1849 issue has already been patched.  See Bug #162680 comment 12.

Oh - if you were opening this bug for RedHat 7.3, I believe RH73 uses zlib
version 1.1.4, which is not vulnerable to CAN-2005-1849, AFAICT.

Thanks.

Comment 2 John Dalbec 2005-09-02 14:11:52 UTC

*** This bug has been marked as a duplicate of 162680 ***


Note You need to log in before you can comment on or make changes to this bug.